Package csb :: Package statistics :: Package pdf :: Module parameterized :: Class NonVirtualParameter

[frames] | no frames]

# Class NonVirtualParameter

source code

           object --+
                    |
    AbstractParameter --+
                        |
                Parameter --+
                            |
                           NonVirtualParameter

A float Parameter that is explicitly non-computed and cannot be bound to another Parameter.

Instance Methods

bind_to(self, parameter) Bind the current parameter to a base parameter. | source code

Inherited from `Parameter`: `__init__` Inherited from `AbstractParameter`: `find_base_parameter`, `set` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractParameter`: `NULL`

Properties
| is_virtual True if this parameter is virtual (computed)
Inherited from `AbstractParameter`: `name`, `value` Inherited from `object`: `__class__`

Method Details

### bind_to(self, parameter)

source code

Bind the current parameter to a base parameter. This converts the current parameter to a virtual one, whose value will get implicitly updated to be consistent with its base.

Note that virtual parameters must have exactly one base; computing a parameter from multiple bases is not allowed. Cycles are also not allowed; the topology must always stay a tree with a non-virtual parameter at the root.

Parameters:
  - `parameter` - base parameter to compute this instance from
  - `parameter` - AbstractParameter
Raises:
  - `ParameterizationError` - if this parameter is already virtual
  - `ParameterizationError` - on attempt to create a circular dependency
Overrides: AbstractParameter.bind_to
  (inherited documentation)

Property Details

### is_virtual

True if this parameter is virtual (computed)

Get Method:
  unreachable.is_virtual(self)